Ubuntu

Please update VLC to 0.9.2

Reported by Daniel Miles on 2008-09-15
76
Affects Status Importance Assigned to Milestone
vlc (Ubuntu)
Wishlist
Unassigned
Nominated for Intrepid by Daniel Miles

Bug Description

Binary package hint: vlc

VLC 0.9.2 has just been released. This is a major update to the current version of VLC in the repositories.

The website is currently a little flaky, but the changes include:

    What's new in this version:
    The 0.9 version of VLC media player adds a new interface module for Linux, Unix and Windows, a media library and an improved playlist, many new inputs and codecs support and many new audio and video filters.
    For video playback, new protocols, new codecs, new demuxers and many bug-fixes have been added to support more formats.
    For audio playback, cover art and metadata support (and editing) have been vastly enhanced. It can play audio when the playback speed is changed.
    For the developers, libVLC has been simplified and improved, many bindings for many languages were added and there is a new Mac OS X Framework.
    Scripts written in lua can expand VLC media player's capabilities (read Youtube, Dailymotion URLs, fetch meta-data...)
    See http://wiki.videolan.org/What_is_cool_in_0.9 for more information.

I believe that this justifies a freeze exception for Intrepid...

Related branches

CVE References

Eric Appleman (erappleman) wrote :

i can't stress enough that libass must be compiled in.

Eric Appleman (erappleman) wrote :

i should also note that a vanilla libass tarball from sourceforge will not suffice either.

the libass1 and libass-dev packages in the intrepid repo, along with the libass src in the extras/contrib folder of a git vlc pull are the proper versions to compile with.

these versions are up-to-date with the latest additions added by the VLC and MPlayer dev teams

This is a major new release that requires packaging changes due to the
new frontend rewrite. We are past feature freeze but due to the
significance of this new release I would like to try gettingit into
intrepid. We can fall back to backports if this becomes prohitively
impossible to do within our release schedule.
On 9/15/08, Daniel Miles <email address hidden> wrote:
> Public bug reported:
>
> Binary package hint: vlc
>
> VLC 0.9.2 has just been released. This is a major update to the current
> version of VLC in the repositories.
>
> The website is currently a little flaky, but the changes include:
>
>
> What's new in this version:
> The 0.9 version of VLC media player adds a new interface module for
> Linux, Unix and Windows, a media library and an improved playlist, many new
> inputs and codecs support and many new audio and video filters.
> For video playback, new protocols, new codecs, new demuxers and many
> bug-fixes have been added to support more formats.
> For audio playback, cover art and metadata support (and editing) have
> been vastly enhanced. It can play audio when the playback speed is changed.
> For the developers, libVLC has been simplified and improved, many
> bindings for many languages were added and there is a new Mac OS X
> Framework.
> Scripts written in lua can expand VLC media player's capabilities (read
> Youtube, Dailymotion URLs, fetch meta-data...)
> See http://wiki.videolan.org/What_is_cool_in_0.9 for more information.
>
> I believe that this justifies a freeze exception for Intrepid...
>
> ** Affects: vlc (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> Please update VLC to 0.9.2
> https://bugs.launchpad.net/bugs/270404
> You received this bug notification because you are a member of MOTU
> Media Team, which is subscribed to vlc in ubuntu.
>

John Dong (jdong) wrote :

Another update, I spoke with a MOTU release team member who is tentatively supportive of the update pending how testing goes. So my current plan is to get some testing packages of this release into the ~motumedia PPA and see how this works out. I'll need everyone's help to give feedback on how well these testing packages work so we know if we can put them in Intrepid.

Thanks for everyone's patience and cooperation.

Daniel Miles (themono) wrote :

Hi John.

While I have to admit to running the nightly builds of VLC at the moment, I will certainly install and test once it appears in ~motumedia. Thanks for supporting the freeze exception!

John Dong (jdong) wrote :

Talked to an upstream dev today:

23:34 < j-b> http://www.jbkempf.com/blog/post/2008/03/28/Build-VLC-media-player-under-Ubuntu-Hardy-804 is still my configure, that i use
23:35 < j-b> jdong: yes, but you need libass, which is in debian NEW
23:35 < jdong> j-b: I believe it's in intrepid
23:35 < jdong> https://edge.launchpad.net/ubuntu/+source/libass
23:35 < j-b> and qgtkstyle is more than recommanded
23:35 < j-b> jdong: great

Also, see http://nightlies.videolan.org/build/intrepid-i386/ for upstream's packaging.

Right now I've got most of the dependencies nailed but need to do some work on debian/rules.

JB VideoLAN (jb-videolan) wrote :
Download full text (15.1 KiB)

Changes between 0.9.1 and 0.9.2
-------------------------------

 * Restored the old behavior of --sout-keep. It is now de-activated by default.
 * Skins2 interface repaired on Windows.
 * Multiple bugfixes.

Changes between 0.9.1 and 0.9.0:
--------------------------------

 * Multiple bug fixes.

Changes between 0.8.6i and 0.9.0:
---------------------------------

Important notes:
----------------
 * This release will need Windows 2000 and Mac OS X 10.4 (Tiger), or more
   recent to work correctly
 * The HTTP interface is now only available on the local machine by default.
   If you want to make it available from other machines, you will have to
   edit the ".hosts" file.
   - On UNIX/Linux, the file is in /usr/share/vlc/http/.hosts
     If you're using the old http interface, it's located in
     /usr/share/vlc/http/old/.hosts
   - On Windows they are in C:\Program Files\VideoLAN\VLC\http\.hosts and
     C:\Program Files\VideoLAN\VLC\http\old\.hosts
   - On Mac OS X, you can find it in VLC.app/Contents/MacOS/share/http/.hosts
     and respectively in VLC.app/Contents/MacOS/share/http/old/.hosts
 * This version of VLC contains a new interface for Windows and Linux.
   This interface has a fullscreen controller and simplified preferences.
   This interface lacks the "Streaming Wizard" that used to be present in VLC
   0.8.6, but provides basic profiles.
 * The behavior of --sout-keep was changed. It's now activated by default.
 * The marq, mosaic and logo commands in the rc interface changed. They
   now require a target name as their first argument. Example:
   vlc --sub-filter "marq@test{marquee=Hello}" -I rc <somevideo>
   You can then use commands like: @test marq-marquee Goodbye
   If you didn't name the object using @test, its name will default to the
   plugin name (hence 'marq') in this example.
   These new commands are also available in the telnet interface.
 * The "rtp" access output module has been removed.
   Please use the RTP stream output instead, e.g.:
     Old: '#std{access=rtp,mux=ts,dst=239.255.1.2:5004,sap}'
     New: '#rtp{mux=ts,dst=239.255.1.2,port=5004,sap}'
 * You now need to append --m3u-extvlcopt to your command line to enable
   EXTVLCOPT options parsing in m3u playlists. Note that only a limited set
   of options is available to m3u playlists (CVE-2007-6683).
 * The old access:url syntax is no longer supported to resolve ambiguities
   with some file names. Use access://url instead.
    E.g.: vlc:quit -> vlc://quit ;
           udp:@239.255.12.12 -> udp://@239.255.12.12
 * The ffmpeg module has been removed and replaced by the new avcodec,
   avformat, swscale (or imgresample if you use a swscale-less ffmpeg build)
   and postproc modules.
 * The web plugins ActiveX (IE)/Firefox/Mozilla/Safari now recognize the
   following states: IDLE/CLOSE=0, OPENING=1, BUFFERING=2, PLAYING=3, PAUSED=4,
   STOPPING=5, FORWARD=6, BACKWARD=7, ENDED=8, ERROR=9. With FORWARD and
   BACKWARD being reserved for future implementations and are thus not
   functional atm.
 * Croping and padding in transcode are now done using the croppadd video
   filter. For example:
   transcode{vcodec=mp2v,vfilter=croppadd{cropttop=20,cropbottom...

JB VideoLAN (jb-videolan) wrote :

You need:

- libass
- libschroedinger and liboil
- taglib
- NEWER libmpeg2 > 0.5
- libqt4-gui and libqt4-core

JB VideoLAN (jb-videolan) wrote :

Close #113927
Close #103741
Close #111615
Close #107899

libmpeg2 update should close #97721 and all duplicates

JB VideoLAN (jb-videolan) wrote :

Close #112076

Should fix partly Bug #114539

nullack (nullack) wrote :

To add to Jean-Baptiste's list of things needed, a new ffmpeg SVN synch is also needed to have a proper VLC experience. Especially libavcodec. Siretart advised that ffmpeg probably wont be updated for Intrepid in bug 263153 where he said "intrepid will definitly not see any ffmpeg update at this point". If we dont update ffmpeg there will be a bunch of bugs reported by VLC users in Intrepid that are already fixed upstream.

JB VideoLAN (jb-videolan) wrote :

Close Bug #189575
Close Bug #113927
Close Bug #103741
Close Bug #111615
Close Bug #107899
Close Bug #112076

Should fix partly Bug #114539

Much better ;)

@nullack: It really is too late to rebuild all the ffmpeg rdpends.

JB VideoLAN (jb-videolan) wrote :

Close Bug #198916
Close Bug #221428
Close Bug #2722
Close Bug #239431 and 2 duplicates
Close Bug #205325 for Intrepid

libmpeg2 update should close Bug #97721 and all duplicates (9 so far).

JB VideoLAN (jb-videolan) wrote :

Adding Shout ( --enable-shout) to configure, will close bug #127594

JB VideoLAN (jb-videolan) wrote :

Close Bug #84098 and duplicate
Close Bug #88487
Close Bug #90603
Close Bug #91679
Close Bug #96978
Close Bug #113922
Close Bug #123589
Close Bug #133528

Daniel Miles (themono) wrote :

I don't even know what CVE is, except that this bug now references a lot of whatever it is...

Is it a possibility to have a disparate implementation of ffmpeg for VLC? That way we won't cause bugs or regressions - or anything, really - in any other packages, it can install somewhere else as a dependency for VLC as ffmpeg-vlc or somesuch...?

JB VideoLAN (jb-videolan) wrote :

Should fix bug #113922
Close Bug #210354
Close Bug #193445
Close Bug #231621
Close Bug #25004

JB VideoLAN (jb-videolan) wrote :

Not #25004 but Close bug #250041

JB VideoLAN (jb-videolan) wrote :
JB VideoLAN (jb-videolan) wrote :

@Daniel Miles, @Scott Kitterman

The version of FFmpeg in Intrepid is enough to fix the bugs I was thinking of, IIRC.
Moreover, those libavcodec bugs are not listed above.

JB VideoLAN (jb-videolan) wrote :

Btw, you are STRONGLY advised to apply this:
http://git.videolan.org/?p=vlc.git;a=commitdiff;h=deedaf8267f7a9c02cbc9aa728a68e5156eabb4c

This is a potential big issue that can make VLC crash.

plun (plun) wrote :

I also add security issues for fastest upgrade

http://secunia.com/advisories/product/7788/?task=advisories_2008

CVE-2008-3732
CVE-2008-3794
CVE-2008-2430

the 0.8.6h version is totally borked...

https://wiki.ubuntu.com/SecurityUpdateProcedures

Ross Peoples (deejross) wrote :

I don't mean to hijack this report or anything, but I really do hope a FF exception can be made for this, and that it makes it into 8.10. I can't tell you how sweet this would be.

Kevin Lange (kevinlange) wrote :

+1 for the exception.
This is a /major/ release of VLC, it's not just something we can wait until 9.04 for, and we're not even in beta yet. Feature-freeze smeature-freeze, this is VLC 0.9.2!

mihai007 (mihai-ile) wrote :

+1 for the exception.
this is just not a "another software that does stuff", this is a important software!

dotancohen (dotancohen) wrote :

Note that the VLC devs consider this a security release:
http://comments.gmane.org/gmane.comp.video.videolan.vlc.general/14603

From the 0.9.x release notes: "Note that there are widely published security issues with VLC 0.8.6i"

Sam H (samjh) wrote :

+1 for exception again.

Given the number of bugs that has been closed thanks to this release, and the aforementioned security fixes, this version should make it into Ibex.

Scott Kitterman (kitterman) wrote :

This is still blocked on getting an updated, working package.

If there are packages, I'll be happy helping to test them (running KDE4).

John Dong (jdong) wrote :

everyone please stop spamming the bug report with +1's. I am not
stupid I know how much everyone wants this release but useless
comments here only get in the way of the work.

On 9/17/08, Scott Kitterman <email address hidden> wrote:
> This is still blocked on getting an updated, working package.
>
> --
> Please update VLC to 0.9.2
> https://bugs.launchpad.net/bugs/270404
> You received this bug notification because you are a member of MOTU
> Media Team, which is subscribed to vlc in ubuntu.
>

John Dong (jdong) wrote :

Ok, boys and girls, thanks to your kind MOTU Media team buddy siretart, we now have our first testing packages for VLC 0.9.2. It's been uploaded to the PPA linked below. I'd like the help of testers to report on how well this package works, any missing features, etc, and I'd like for fellow MOTUs/contributors to inspect the packaging. I've had a chance to go through it and it looks pretty sane to me.

 https://edge.launchpad.net/~motumedia/+archive

Hew McLachlan (hew) wrote :

Thanks for your hard work packaging this new version. I have done a small amount of testing.

Upon selecting a video in nautilus to run using VLC, a box popped up asking for my preference of how to download album art. I could also hear the video start playing in the background, but had no way to control or see it since this dialog box was all that was there. Is it possible to set this option with a default so that the user doesn't have to deal with it? Rhythmbox downloads album art automatically, so I don't see any reason why VLC can't do this by default either.

The video can start playing immediately and plays the sound, but the visual part can take a while to appear (on one occasion, 3 seconds). When it does appear, it can appear with corruption for a few seconds (using xvid). This isn't a big deal, but it would be better if it takes its time loading, and starts all at once.

Moving other windows over a playing VLC window leaves remnants of the picture on that window (I tested with nautilus). I also moved the VLC window itself around and found it left picture on the panel. While moving it, it then froze my system. ctrl-alt-del/bksp were of no use, I had to hard reset. This bug is a blocker for VLC 0.9.2.

Thanks again for your work. I hope these issues can be resolved :-)

libvlc2/unknown uptodate 0.9.2-1ubuntu1~ppa7
libvlccore0/unknown uptodate 0.9.2-1ubuntu1~ppa7
vlc/unknown uptodate 0.9.2-1ubuntu1~ppa7
vlc-data/unknown uptodate 0.9.2-1ubuntu1~ppa7
vlc-nox/unknown uptodate 0.9.2-1ubuntu1~ppa7
vlc-plugin-pulse/unknown uptodate 0.9.2-1ubuntu1~ppa7

John Dong (jdong) wrote :

Thanks for the feedback, Hew; Your video playback issue sounds like some sort of video driver problem with xv. What kind of video card are you using?

Hew McLachlan (hew) wrote :

I have a Nvidia 7600GT and I'm using the nv driver.

/mozilla-plugin-vlc can't be installed.

E: /var/cache/apt/archives/mozilla-plugin-vlc_0.9.2-1ubuntu1~ppa7_i386.deb: trying to overwrite `/usr/share/vlc/mozilla/volume_max.xpm', which is also in package vlc-data

Reinhard Tartler (siretart) wrote :

there never was an 'vlc-data' package before in ubuntu. where did you get 'vlc-data' package from?

in any case, please remove it before installing these 0.9.2-1 test packages.

JB VideoLAN (jb-videolan) wrote :

"Upon selecting a video in nautilus to run using VLC, a box popped up asking for my preference of how to download album art. I could also hear the video start playing in the background, but had no way to control or see it since this dialog box was all that was there. Is it possible to set this option with a default so that the user doesn't have to deal with it? Rhythmbox downloads album art automatically, so I don't see any reason why VLC can't do this by default either."

Well, by default VLC asks at first start and doesn't do anything special. I can do a patch for ubuntu if you want to make stuffs default. Moreover --no-qt-ask-privacy will force this to not be shown.

@Reinhard Tartler
there is vlc-data in ppa build:
https://edge.launchpad.net/~motumedia/+archive/+build/719712

Daniel Miles (themono) wrote :

John, great job, works a treat - I should note it is significantly better than the nightlies on the grounds that A52 passthrough to my amp works with this package.

Great work and no bugs to report with the packaging.

John Dong (jdong) wrote :

E_rules:

I see the problem; vlc-data installs /usr/share/vlc and mozilla-plugin-vlc installs /usr/share/vlc/mozilla

The latter needs to be omitted. I will make the changes.

John Dong (jdong) wrote :

For some reason I don't think my last comment came through (or maybe I posted them on some completely random bug report I had open!)

Just a FYI a ppa8 build has been uploaded which fixes the vlc-data and mozilla plugin conflict. Sorry for not catching that before releasing it out to you guys.

Eric Appleman (erappleman) wrote :

John Dong wrote:
> Ok, boys and girls, thanks to your kind MOTU Media team buddy siretart,
> we now have our first testing packages for VLC 0.9.2. It's been uploaded
> to the PPA linked below. I'd like the help of testers to report on how
> well this package works, any missing features, etc, and I'd like for
> fellow MOTUs/contributors to inspect the packaging. I've had a chance to
> go through it and it looks pretty sane to me.
>
>
> https://edge.launchpad.net/~motumedia/+archive
>
Just out of curiosity, Was libass compiled in?

Reinhard Tartler (siretart) wrote :

Starks <email address hidden> writes:
> Just out of curiosity, Was libass compiled in?
yes

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

John Dong (jdong) wrote :

Yeah, it was. Can you confirm it's working properly?

Eric Appleman (erappleman) wrote :

John Dong wrote:
> Yeah, it was. Can you confirm it's working properly?
>
Yes. It works properly aside from currently documented bugs that are
platform-independent.

See http://forums.animesuki.com/showpost.php?p=1910683&postcount=80 for
details.

As far I know, these bugs are to be fixed in 0.9.3 but WONTFIX for Intrepid.

StefanPotyra (sistpoty) wrote :

out of curiousity: why does libass need to be compiled in?

Eric Appleman (erappleman) wrote :

StefanPotyra wrote:
> out of curiousity: why does libass need to be compiled in?
>
without it, vlc can't play styled subtitles. it's a core feature of
0.9.2 and all future releases.

StefanPotyra (sistpoty) wrote :

Hi,

On Sunday 21 September 2008 04:38:04 Starks wrote:
> StefanPotyra wrote:
> > out of curiousity: why does libass need to be compiled in?
>
> without it, vlc can't play styled subtitles. it's a core feature of
> 0.9.2 and all future releases.

but why does this work when being built in vs. linked to it dynamically?

Cheers,
   Stefan.

John Dong (jdong) wrote :

Ok, at this point I feel confident enough in the ~ppa8 revision that I'll give my endorsement to the MOTU release team, as a member of ~motumedia, that it is in our best interest to include this new VLC release in Intrepid.

Eric Appleman (erappleman) wrote :

On 09/20/2008 11:12 PM, StefanPotyra wrote:
> Hi,
>
> On Sunday 21 September 2008 04:38:04 Starks wrote:
>
>> StefanPotyra wrote:
>>
>>> out of curiousity: why does libass need to be compiled in?
>>>
>> without it, vlc can't play styled subtitles. it's a core feature of
>> 0.9.2 and all future releases.
>>
>
> but why does this work when being built in vs. linked to it dynamically?
>
> Cheers,
> Stefan.
>
>
I don't claim to understand the intricacies of linked libraries, but as
far I know, VLC cannot render styled subtitles unless libass
(libass1+libass-dev or the .libass contrib) are used and the
--enable-libass line is included in the build configuration.

Eric Appleman (erappleman) wrote :

On 09/20/2008 11:18 PM, John Dong wrote:
> Ok, at this point I feel confident enough in the ~ppa8 revision that
> I'll give my endorsement to the MOTU release team, as a member of
> ~motumedia, that it is in our best interest to include this new VLC
> release in Intrepid.
>
>
awesomesauce

John Dong (jdong) wrote :

Stefan, I think when starks says "compiled in", he means that the option is enabled at compile-time (i.e. it'll end up dynamically linked, which is what we're doing against intrepid's libass)

Tax Man (taxman457f) wrote :

Excellent, thank you everyone for your work. Running the ~ppa9 version on Alpha 6 with an Nvidia GeForce4 MX 420 with the open source driver. Not sure if this is a VLC or a packaging bug, but it plays videos fine, including unencrypted DVDs (with menu structure, yay), flv, etc, except any interaction with the menus blanks out the video image, while the sound is still playing. Moving the VLC window using the top window bar brings the video back. This doesn't work in fullscreen mode since there is no window to move, but ctrla-alt-right to move worskspaces and then back almost works. It brings back everything in the image except a black space where the workspace switching icon was. It's well worth the upgrade for the extra features so far it seems, but this last bit would be nice to fix.

Is it to late to add LP: 261567 to the Changelog?

Reinhard Tartler (siretart) wrote :

LP: 261567 now mentioned in the changelog in the bzr branch.

Reinhard Tartler (siretart) wrote :

motu-release team:

do you want to see more testing, or are you okay with uploading the package to intrepid now?

(in any case, please let me do the upload, I'll rewrite the changelog and make sure to use the correct orig.tar.gz from debian/experimental)

Cesare Tirabassi (norsetto) wrote :

My only concern is that this is considered part of mythbuntu (at least is on of the Mythbuntu live disk) so I would like to hear their opinion about it (Mario?).
If they are fine about introducing this so late, considering the bugs this is fixing and the security concerns I don't see why we should not get this on board.

Mario Limonciello (superm1) wrote :

Hi Cesare:

This is added to our live disk mainly as a convenience factor, we don't do rigorous testing with it, so as long as basic testing for distro inclusion is satisfactory, I think newer versions on the live disk are quite beneficial.

Luca Falavigna (dktrkranz) wrote :

Given that Reinhard, John and Mario will follow update process and there are tons of fixes (they will close several Ubuntu bugs too) I'm giving my motu-release ACK.

Changed in vlc:
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :
Download full text (4.7 KiB)

This bug was fixed in the package vlc - 0.9.2-1ubuntu1

---------------
vlc (0.9.2-1ubuntu1) intrepid; urgency=low

  * New Upstream Release, exception granted by
      - dktrkranz, norsetto, Hobbsee (via irc). LP: #270404

  Changes done in ubuntu:

  * add libxul-dev to build-depends
  * make sure that vlc is build against libxul in configure. This doesn't
    change anything in the package, but makes it more robust if building
    in an 'unclean' chroot or when modifying the package.
  * debian/control: make Vcs-* fields point to the motumedia branch
  * add libx264-dev and libass-dev to build-depends
    LP: #210354, #199870
  * actually enable libass support by passing --enable-libass to configure
  * enable libdca: add libdca-dev to build depends and --enable-libdca
  * install the x264 plugin.

  Changes already in the pkg-multimedia branch in debian:

  * don't install usr/share/vlc/mozilla in debian/mozilla-plugin-vlc.install
  * new upstream .desktop file now registers flash video mimetype LP: #261567
  * add Xb-Npp-Applications to mozilla-plugin-vlc
  * remove duplicate entries in debian/vlc-nox.install

vlc (0.9.2-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
    + Soname changed
    + Bugs fixed upstream: Closes: #487646, #298150, #325069, #392292,
      #458004, #470903, #458004, #423121
    + new upstream fixes various crasher bugs reported in ubuntu:
      LP: #189575, #113927, #103741, #111615, #107899, #112076, #198916, 221428,
          #91679, #96978, #123589, #133528, #231621, #259025
    + plays files with '+' in its name, LP: #239431, #217305
    + New packages: libvlccore0, libvlccore-dev, vlc-plugin-pulse
     (Closes: #471069)
    + Build-depends on libswsale-dev, libshout3-dev, libxpm-dev,
      zlib1g-dev, liblua5.1-0-dev, libschroedinger-dev, libtag1-dev,
      libqt4-dev, libqt4-dev-tools and pkg-config. (Closes: #461324)
    + time display no longer incomplete, LP: #193445
    + fixed volume bar behavior, LP: #250041
    + shout support closes LP: #127594, #84098,
    + Install new modules:
      - vlc-nox: alphamask, blendbench, bluescreen, canvas, cc, cdg, chain,
        colorthres, croppadd, dynamicoverlay, erase, faad, gaussianblur, grain,
        inhibit, lua, memcpy*, mmap, osd_parser, puzzle, remoteosd, rtmp,
        schroedinger, sharpen, stats, subusf, t140, telepathy, v4l2, vmem
      - vlc: qt4
      - vlc-plugin-jack: access_jack
    + Distribute the .pc for libvlc and vlc-plugin (Closes: #289507)
    + Remove wx interface and glide plugin as they've been dropped by upstream
      LP: #205325, #88487, #90603, #150380
    + The Python and java bindings are no longer part of the upstream tarballs
      (Closes: #469011)
    + Temporarly disable libdca module until a pkg with the new
      API get in unstable
    + Delete or refresh patches
    + New patches:
        - 052_as-needed taken from bug #347650 to teach libtool about
          -Wl,--as-needed
  * Install the skins DTD and the default skins it's only 113kB
  * Improve watch file
  * Add a vlc-data package for /usr/share (13 MB)
  * Add a vlc-dbg package (Closes: #491564)
  * Sort vlc.install and vlc-nox.inst...

Read more...

Changed in vlc:
status: New → Fix Released
JB VideoLAN (jb-videolan) wrote :

Thanks a lot...

...And I just tagged 0.9.3 upstream to fix a few bugs :D

John Dong (jdong) wrote :

~motu-release, can we have authorization to upload the 0.9.3 bugfix-only release?

plun (plun) wrote :

Something must be broken with ver 0.9.3 and RTP streams freezes, mozilla-vlc

Example from a swedish commercial broadcasting service
http://nyhetskanalen.se/

Also noticed this message within VLCs dev mailing list

http://mailman.videolan.org/pipermail/vlc-devel/2008-September/051078.html

It worked just fine yesterday with ver 0.9.2 from motumedia ppa.

plun (plun) wrote :

Follow up:

Removed VLC 0.9.3 and installed Intrepids version 0.9.2 from repo and no freezes occurs.

Scott Kitterman (kitterman) wrote :

If it's bugfix only, no motu-release authorization is needed.

Eric Appleman (erappleman) wrote :

Is 0.9.3 guaranteed for inclusion in Intrepid?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers